Subject: Re: bug#10712: $MANPATH is ignored by man.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Aug 2020 12:22:39 +0200

[email-masked] writes:

> When prompting for a man page, man.el doesn't offer completions for all
> the names that it indeed can successfully find.
>
> E.g., though
> (man "Algorithm::GooglePolylineEncoding")
> works fine,
> you won't get any help typing it in using TAB completion.
>
> That's because $MANPATH is ignored by man.el.

This was reported eight years ago, but when I try, say, `M-x man RET Xt
TAB', I get completions like

XTestCompareCurrentCursorWithWindow(3) 	XTestCompareCursorWithWindow(3)
XTestDiscard(3) 	XTestFakeButtonEvent(3)
XTestFakeKeyEvent(3) 	XTestFakeMotionEvent(3)
XTestFakeRelativeMotionEvent(3) 	XTestGrabControl(3)
XTestQueryExtension(3) 	XTestSetGContextOfGC(3)
XTestSetVisualIDOfVisual(3) 	XtAddActions(3)
XtAddCallback(3) 	XtAddCallbacks(3)
XtAddConverter(3) 	XtAddEventHandler(3)
XtAddExposureToRegion(3) 	XtAddGrab(3)

So I'm guessing that this has been fixed at some point, and I'm closing
this bug report.  If you're still seeing this, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no